CA3/PROJECT_2023_2/gfb_web/routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\User\UserController;
use App\Models\Category;
use App\Models\Subcategory;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    $categories = Category::all();
    $subcategories = Subcategory::all();
    return view('welcome', compact('categories','subcategories'));
});

Route::get('/dashboard', function () {
    $categories = Category::all();
    $subcategories = Subcategory::all();
    return view('dashboard',compact('categories','subcategories'));
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';

///////////////////////////////////////////////////////////////////////////////////////////////
Route::middleware(['auth','role:admin'])->group(function () {
    //dashboard
    Route::get('admin/dashboard', [AdminController::class, 'dashboard']);

    //category
    Route::get('admin/category', [AdminController::class, 'category'])->name('admin.category');
    Route::post('admin/facilities.create', [AdminController::class, 'createfacility'])->name('admin.createfacility');
    Route::delete('admin/category/delete', [AdminController::class, 'categorydelete'])->name('categories.destroy');
    Route::put('admin/category/update/{id}', [AdminController::class, 'updateCategory'])->name('categories.update');

    //session
    Route::get('admin/session', [AdminController::class, 'session'])->name('admin.session');
    Route::post('admin/facilities.createsession', [AdminController::class, 'createsession'])->name('admin.createsession');
    Route::delete('admin/session/delete', [AdminController::class, 'sessiondelete'])->name('session.destroy');
    Route::put('admin/session/update/{id}', [AdminController::class, 'updateSession'])->name('session.update');

    //facility
    Route::get('admin/facilities', [AdminController::class, 'facilities'])->name('admin.facilities');
    Route::post('admin/facilities.subcreate', [AdminController::class, 'createsubfacility'])->name('admin.createsubfacility');
    Route::delete('admin/facilities/delete', [AdminController::class, 'facilitydelete'])->name('facility.destroy');
    Route::put('admin/facilities/update/{id}', [AdminController::class, 'updateFacility'])->name('facility.update');
    Route::post('admin/facilities/mi-diable', [AdminController::class, 'midiable'])->name('mi-diable');
    Route::put('admin/facilities/toggleStatus/{id}', [AdminController::class, 'toggleStatus']);
  

    //available
    Route::get('admin/facilities/{subcategory}', [AdminController::class, 'availability'])->name('subcategory.availability');
    Route::post('admin/facilities/{subcategory}/createavailability', [AdminController::class, 'createavailability'])->name('subcategory.createavailability');
    Route::delete('admin/facilities/adelete', [AdminController::class, 'adelete'])->name('a.destroy');
    Route::put('admin/facilities/{subcategory}/{id}', [AdminController::class, 'updatea'])->name('a.update');

    //booking
    Route::get('admin/booking', [AdminController::class, 'booking'])->name('admin.booking1');
    Route::post('admin/bookingcreate', [AdminController::class, 'createbooking'])->name('admin.createbook');
    Route::put('admin/booking/confirm/{id}', [AdminController::class, 'bookingConfirm'])->name('booking.confirm');
    Route::delete('admin/booking/delete/{id}', [AdminController::class, 'bookingDelete'])->name('booking.delete');
    Route::get('/getSubcategorySession/{id}', [AdminController::class, 'getSubcategorySession'])->name('getSubcategorySession');
    Route::get('/getSubfacilitySessiont/{subfacilityId}', [AdminController::class, 'getSubcategorySessiont'])->name('getSubcategorySessiont');



    //setting
    Route::get('admin/setting', [AdminController::class, 'setting'])->name('admin.setting');
    Route::post('admin/bookingteam', [AdminController::class, 'createteam'])->name('admin.createteam');

    //user
    Route::get('admin/user', [AdminController::class, 'user'])->name('admin.user');
    Route::post('admin/user/createuser', [AdminController::class, 'createuser'])->name('admin.createuser');
    Route::delete('admin/user/delete', [AdminController::class, 'userdelete'])->name('user.destroy');
    Route::put('admin/user/update/{id}', [AdminController::class, 'updateuser'])->name('user.update');
    Route::post('admin/user/createMultipleuser', [AdminController::class, 'createMultipleuser'])->name('admin.createMultipleuser');
    Route::delete('admin/user/deleteadmin/{id}', [AdminController::class, 'deleteadmin'])->name('deleteadmin');


    //usertype
    Route::get('admin/usertype', [AdminController::class, 'usertype'])->name('admin.usertype');
    Route::post('admin/user/createusertype', [AdminController::class, 'createusertype'])->name('admin.createusertype');
    Route::delete('admin/usertype/delete', [AdminController::class, 'usertypedelete'])->name('usertype.destroy');
    Route::put('admin/usertype/update/{id}', [AdminController::class, 'updateusertype'])->name('usertype.update');

});




Route::middleware(['auth','role:user'])->group(function () {
    //detail
    Route::get('detail/{subcategory}', [UserController::class, 'detail'])->name('subcategory.detail');
    Route::post('detail/{subcategory}/book', [UserController::class, 'createbook'])->name('subcategory.createbook');
    Route::get('/ugetSubcategorySession/{id}', [UserController::class, 'ugetSubcategorySession'])->name('ugetSubcategorySession');
    Route::get('/ugetSubfacilitySessiont/{subfacilityId}', [UserController::class, 'ugetSubcategorySessiont'])->name('ugetSubcategorySessiont');

    //mybookig
    Route::get('mybooking', [UserController::class, 'mybooking'])->name('mybooking');
    Route::delete("bookings/delete/{id}", [UserController::class, 'mybookingdelte'])->name('bookings.delete');

    //booknow
    Route::get('booknow', [UserController::class, 'booknow'])->name('booknow');
    Route::get('userprofile',[UserController::class, 'userprofile'])->name('userprofile');
   

});

CA3/PROJECT_2023_2/gfb_web/app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.app');
    }
}

CA3/PROJECT_2023_2/gfb_web/resources/views/booknow.blade.php
<x-app-layout>
    <section id="portfolio" class="portfolio">
        <div class="container">
            <div class="section-title" data-aos="fade-up">
                
              </div>
          <div class="row" data-aos="fade-up" data-aos-delay="200">
            <div class="col-lg-12 d-flex justify-content-center">
              <ul id="portfolio-flters">
                <li data-filter="*" class="filter-active">All</li>
                @foreach ($categories as $category)   
                  
                    <li data-filter=".filter-{{$category->category_name}}">{{$category->category_name}}</li>
                
                @endforeach
              </ul>
            </div>
          </div>
  
          <div class="row portfolio-container" data-aos="fade-up" data-aos-delay="400">
            @foreach ($subcategories as $subcategory)
                                <div class="col-lg-4 col-md-6 portfolio-item filter-{{$subcategory->category->category_name}}">
                                <div class="portfolio-wrap">
                                
                                    <img src="{{ asset('storage/' . str_replace('public/', '', $subcategory->image)) }}" alt="Facility Image" class="img-fluid" style="width: 100%; height: 300px; object-fit: cover;"/>                                            
                                    <div class="portfolio-info">
                                    <h4>{{$subcategory->facility_name}}</h4>
                                    {{-- <p>Description</p> --}}
                                    <div class="portfolio-links">
                                        <a href="{{ route('subcategory.detail', ['subcategory' => $subcategory]) }}" title="More Details">View Detail</a>
                                    </div>
                                    </div>
                                </div>
                                </div>
                             @endforeach
            
          </div>
  
        </div>
      
</x-app-layout>

CA3/PROJECT_2023_2/gfb_web/resources/views/mybooking.blade.php
<x-app-layout>
    <div class="py-3">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900">
                    <!-- ======= Portfolio Section ======= -->
                    <section id="portfolio" class="portfolio">
                        <div class="container">
                            
                    
                            <div class="row portfolio-container" data-aos="fade-up" data-aos-delay="400">
                    
                                
                                    @foreach ($bookings as $booking)

                                    <div class="col-lg-4 col-md-6 portfolio-item filter-app">
                                    <div class="portfolio-wrap">
                                    <img src="{{ asset('user_dashboard/img/c.png') }}" class="img-fluid" alt="">
                                    <div class="portfolio-info">
                                        <h4>{{$booking->subcategory->facility_name}}</h4>
                                        
                                    </div>
                                </div>
                                <div class="portfolio-info mt-2" data-aos="fade-up" data-aos-delay="400">
                                    <div><strong>Facility</strong>: {{$booking->subcategory->facility_name}}</div>

                                      <div><strong>Category</strong>: {{$booking->subcategory->category->category_name}}</div>

                                      <div><strong>Resource</strong>: {{$booking->subcategory->resource}}</div>
                                      <div><strong>Date</strong>: {{$booking->start_date}}</div>
                                      <div><strong>Time</strong>: {{$booking->start_time}} to {{$booking->end_time}}</div>
                                      <div class="btn btn-primary" style="background-color: #3498db"><strong>Status</strong>: {{ $booking->status }}</div>
                                      @if($booking->status === 'pending')
                                        <button type="button" class="btn btn-danger" onclick="fireSweetAlertReject({{$booking->id}})"  style="background-color: red">Cancel</button>  
                                    @endif
                                   
                                </div>
                            </div>
                                @endforeach
                              
                    
                                
                    
                            </div>
                           
                        </div>
                    </section><!-- End Portfolio Section -->
                    
                </div>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="{{ asset('admin_assets/js/jquery-3.6.0.min.js') }}"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>


    <script>
        function fireSweetAlertReject(id) {
            Swal.fire({
                title: 'Are you sure you want to Cancel this booking?',
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#5cb85c',
                cancelButtonColor: '#d9534f',
                confirmButtonText: 'Yes'
            }).then((result) => {
                if (result.isConfirmed) {
                    // Use Axios to perform the delete request
                    axios({
                        method: 'delete',
                        url: `bookings/delete/${id}`,
                    })
                    .then((response) => {
                        console.log('Axios success', response.data);
                        setTimeout(() => {
                            location.reload();
                        }, 1500);
                        Swal.fire({
                            icon: 'success',
                            title: 'Booking Cancelled',
                            timer: 1500,
                            showConfirmButton: false
                        });   
                    })
                    .catch((error) => {
                        console.log('Axios error', error);
                        Swal.fire({
                            icon: 'error',
                            title: 'Oops...',
                            text: 'Something went wrong!',
                        });
                    });
                }
            });
        }
    </script>
</x-app-layout>

CA3/PROJECT_2023_2/gfb_web/resources/views/userprofile.blade.php
<x-app-layout>
    <div class="py-3">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900">
                    <!-- ======= Portfolio Section ======= -->
                    <section id="portfolio" class="portfolio">
                        <div class="container">
                            <section id="service" class="service">
                                <div class="container">
                            
                    
                            <div class="row portfolio-container" data-aos="fade-up" data-aos-delay="400">
                    
                                
                                    hhhhhhhhhhhhhhhhhhh
                                    <p>{{ $user->name }}</p>
                                    <p>{{ $user->email }}</p>
                              
                                    <form method="post" action="{{ route('password.update') }}" class="mt-6 space-y-6">
                                        @csrf
                                        @method('put')
                                
                                        <div>
                                            <x-input-label for="current_password" :value="__('Current Password')" />
                                            <x-text-input id="current_password" name="current_password" type="password" class="mt-1 block w-full" autocomplete="current-password" />
                                            <x-input-error :messages="$errors->updatePassword->get('current_password')" class="mt-2" />
                                        </div>
                                
                                        <div>
                                            <x-input-label for="password" :value="__('New Password')" />
                                            <x-text-input id="password" name="password" type="password" class="mt-1 block w-full" autocomplete="new-password" />
                                            <x-input-error :messages="$errors->updatePassword->get('password')" class="mt-2" />
                                        </div>
                                
                                        <div>
                                            <x-input-label for="password_confirmation" :value="__('Confirm Password')" />
                                            <x-text-input id="password_confirmation" name="password_confirmation" type="password" class="mt-1 block w-full" autocomplete="new-password" />
                                            <x-input-error :messages="$errors->updatePassword->get('password_confirmation')" class="mt-2" />
                                        </div>
                                
                                        <div class="flex items-center gap-4">
                                            <x-primary-button style="background-color: #3498db; color:white;border-radius:5px">{{ __('Save') }}</x-primary-button>
                                
                                            @if (session('status') === 'password-updated')
                                                <p
                                                    x-data="{ show: true }"
                                                    x-show="show"
                                                    x-transition
                                                    x-init="setTimeout(() => show = false, 2000)"
                                                    class="text-sm text-gray-600"
                                                >{{ __('Saved.') }}</p>
                                            @endif
                                        </div>
                                    </form>
                            </div></div></section>
                    
                            </div>
                           
                        </div>
                    </section><!-- End Portfolio Section -->
                    
                </div>
            </div>
        </div>
    </div>

</x-app-layout>